"""
Google Domain management.

"""
import dataclasses

from .config import ConfigurationDataclassMixin


@dataclasses.dataclass
class Configuration(ConfigurationDataclassMixin):
    """
    Configuration for accessing the Google Domain.

    """
    # Name of the domain. (E.g. "example.com".)
    name: str

    # Username within the GSuite for the user which has administration rights. Should be an e-mail
    # style name. E.g. "super-admin@example.com". The service account credentials specified in the
    # google_api.auth section are used to perform admin actions as this user.
    admin_user: str
